unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, StdCtrls, SMIBase, SMI2TXT, Grids, DBGrids;

type
  TfrmMain = class(TForm)
    btnExecute: TButton;
    dSrcEmployee: TDataSource;
    tblEmployee: TTable;
    DBGrid: TDBGrid;
    SMImportFromText1: TSMImportFromText;
    lblDescription: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btnExecuteClick(Sender: TObject);
    procedure SMImportFromText1ErrorEvent(Sender: TObject;
      Error: Exception; var Abort: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  SMImportFromText1.SourceFileName := ExtractFilePath(Application.ExeName) + '\employee.txt';
  tblEmployee.DatabaseName := ExtractFilePath(Application.ExeName);
  tblEmployee.Open
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  tblEmployee.Close
end;

procedure TfrmMain.btnExecuteClick(Sender: TObject);
begin
  SMImportFromText1.Execute
end;

procedure TfrmMain.SMImportFromText1ErrorEvent(Sender: TObject;
  Error: Exception; var Abort: Boolean);
begin
  ShowMessage(Error.Message)
end;

end.
